zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmorx1.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvmorx1.c File Reference
`#include "gxvmorx.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvmorx
#define | GXV_MORX_SUBTABLE_TYPE1_HEADER_SIZE ( GXV_STATETABLE_HEADER_SIZE + 2 )

## Typedefs

typedef struct GXV_morx_subtable_type1_StateOptRec_ | GXV_morx_subtable_type1_StateOptRec
typedef struct GXV_morx_subtable_type1_StateOptRec_ * | GXV_morx_subtable_type1_StateOptRecData

## Functions

static void | gxv_morx_subtable_type1_entry_validate (FT_UShort state, FT_UShort flags, GXV_StateTable_GlyphOffsetCPtr glyphOffset_p, FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static GXV_LookupValueDesc | gxv_morx_subtable_type1_LookupFmt4_transit (FT_UShort relative_gindex, GXV_LookupValueCPtr base_value_p, FT_Bytes lookuptbl_limit, GXV_Validator valid)
static void | gxv_morx_subtable_type1_LookupValue_validate (FT_UShort glyph, GXV_LookupValueCPtr value_p, GXV_Validator valid)
static void | gxv_morx_subtable_type1_substitutionTable_load (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_morx_subtable_type1_substitutionTable_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_morx_subtable_type1_subtable_setup (FT_ULong table_size, FT_ULong classTable, FT_ULong stateArray, FT_ULong entryTable, FT_ULong *classTable_length_p, FT_ULong *stateArray_length_p, FT_ULong *entryTable_length_p, GXV_Validator valid)
| gxv_morx_subtable_type1_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvmorx

Definition at line 38 of file gxvmorx1.c.

#define GXV_MORX_SUBTABLE_TYPE1_HEADER_SIZE ( GXV_STATETABLE_HEADER_SIZE + 2 )

Definition at line 51 of file gxvmorx1.c.

Referenced by gxv_morx_subtable_type1_validate().

## Typedef Documentation

typedef struct GXV_morx_subtable_type1_StateOptRec_ GXV_morx_subtable_type1_StateOptRec

typedef struct GXV_morx_subtable_type1_StateOptRec_ * GXV_morx_subtable_type1_StateOptRecData

## Function Documentation

static void gxv_morx_subtable_type1_entry_validate | ( | FT_UShort | state,
|  | FT_UShort | flags,
|  | GXV_StateTable_GlyphOffsetCPtr | glyphOffset_p,
|  | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 103 of file gxvmorx1.c.

References FT_INVALID_DATA, FT_UNUSED, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, GXV_XStateTable_ValidatorRec_::optdata, GXV_StateTable_GlyphOffsetDesc_::ul, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type1_validate().

static GXV_LookupValueDesc gxv_morx_subtable_type1_LookupFmt4_transit | ( | FT_UShort | relative_gindex,
|  | GXV_LookupValueCPtr | base_value_p,
|  | FT_Bytes | lookuptbl_limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 174 of file gxvmorx1.c.

References FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_ValidatorRec_::lookuptbl_head, sizeof(), and GXV_LookupValueDesc_::u.

Referenced by gxv_morx_subtable_type1_substitutionTable_validate().

static void gxv_morx_subtable_type1_LookupValue_validate | ( | FT_UShort | glyph,
|  | GXV_LookupValueCPtr | value_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 160 of file gxvmorx1.c.

References GXV_ValidatorRec_::face, FT_INVALID_GLYPH_ID, FT_UNUSED, GXV_TRACE, FT_FaceRec_::num_glyphs, and GXV_LookupValueDesc_::u.

Referenced by gxv_morx_subtable_type1_substitutionTable_validate().

static void gxv_morx_subtable_type1_substitutionTable_load | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 56 of file gxvmorx1.c.

References FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_XStateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type1_validate().

static void gxv_morx_subtable_type1_substitutionTable_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 203 of file gxvmorx1.c.

References for(), FT_NEXT_ULONG, GXV_LIMIT_CHECK, gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, gxv_morx_subtable_type1_LookupFmt4_transit(), gxv_morx_subtable_type1_LookupValue_validate(), i, GXV_ValidatorRec_::lookupfmt4_trans, GXV_ValidatorRec_::lookupval_func, GXV_ValidatorRec_::lookupval_sign, GXV_XStateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type1_validate().

static void gxv_morx_subtable_type1_subtable_setup | ( | FT_ULong | table_size,
|  | FT_ULong | classTable,
|  | FT_ULong | stateArray,
|  | FT_ULong | entryTable,
|  | FT_ULong * | classTable_length_p,
|  | FT_ULong * | stateArray_length_p,
|  | FT_ULong * | entryTable_length_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 72 of file gxvmorx1.c.

References gxv_set_length_by_ulong_offset(), GXV_XStateTable_ValidatorRec_::optdata, and GXV_ValidatorRec_::xstatetable.

Referenced by gxv_morx_subtable_type1_validate().

gxv_morx_subtable_type1_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 240 of file gxvmorx1.c.

References GXV_EXIT, GXV_GLYPHOFFSET_ULONG, GXV_LIMIT_CHECK, gxv_morx_subtable_type1_entry_validate(), GXV_MORX_SUBTABLE_TYPE1_HEADER_SIZE, gxv_morx_subtable_type1_substitutionTable_load(), gxv_morx_subtable_type1_substitutionTable_validate(), gxv_morx_subtable_type1_subtable_setup(), GXV_NAME_ENTER, and gxv_XStateTable_validate().

Referenced by gxv_morx_subtables_validate().